## Compression

Compression —

## Synopsis

                GsfInputGZip;
    GsfInput*   gsf_input_gzip_new              (GsfInput *source,
                                                 GError **err);
    GsfInput*   gsf_input_memory_new_from_bzip  (GsfInput *source,
                                                 GError **err);
                GsfOutputGZip;
    GsfOutput*  gsf_output_gzip_new             (GsfOutput *sink,
                                                 GError **err);
                GsfOutputBzip;
    GsfOutput*  gsf_output_bzip_new             (GsfOutput *sink,
                                                 GError **err);

## Object Hierarchy

      GObject
       +----GsfInput
             +----GsfInputGZip

      GObject
       +----GsfOutput
             +----GsfOutputBzip

## Properties

      "raw"                  gboolean              : Read / Write / Construct Only
      "source"               GsfInput              : Read / Write / Construct Only
      "uncompressed-size"    gint64                : Read / Write / Construct Only

## Description

## Details

### GsfInputGZip

    typedef struct _GsfInputGZip GsfInputGZip;

### gsf_input_gzip_new ()

    GsfInput*   gsf_input_gzip_new              (GsfInput *source,
                                                 GError **err);

Adds a reference to `source`.

`source` : | The underlying data source.
`err` : | optionally NULL.
Returns : | a new file or NULL.

### gsf_input_memory_new_from_bzip ()

    GsfInput*   gsf_input_memory_new_from_bzip  (GsfInput *source,
                                                 GError **err);

`source` : | a GsfInput
`err` : | a GError
Returns : | a new GsfInputMemory or NULL.

### GsfOutputGZip

    typedef struct _GsfOutputGZip GsfOutputGZip;

### gsf_output_gzip_new ()

    GsfOutput*  gsf_output_gzip_new             (GsfOutput *sink,
                                                 GError **err);

Adds a reference to `sink`.

`sink` : | The underlying data source.
`err` : | optionally NULL.
Returns : | a new file or NULL.

### GsfOutputBzip

    typedef struct _GsfOutputBzip GsfOutputBzip;

### gsf_output_bzip_new ()

    GsfOutput*  gsf_output_bzip_new             (GsfOutput *sink,
                                                 GError **err);

Adds a reference to `sink`.

`sink` : | The underlying data source.
`err` : | optionally NULL.
Returns : | a new file or NULL.

## Properties

### The "`raw`" property

      "raw"                  gboolean              : Read / Write / Construct Only

Whether to read compressed data with no header and no trailer.

Default value: FALSE

### The "`source`" property

      "source"               GsfInput              : Read / Write / Construct Only

Where the compressed data comes from.

### The "`uncompressed-size`" property

      "uncompressed-size"    gint64                : Read / Write / Construct Only

The source's uncompressed size.

Allowed values: >= -1

Default value: -1